#!/bin/bash
##########################################
# File Name:12_ping_url.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:案例12：书写脚本检查输入的域名（一个或多个）是否可以ping通--通过read命令实现
source /funcs/func_diy.sh
#调用个人函数库
###########################################
#1.vars:
read -t 40 -p "please input domains: " urls
#-t:40s内无输入则退出 -p:打印后面的提示信息
#2.检查变量是否为空
if [ -z $urls ];then
    echo "Help: 请输入1个或多个域名"
fi
#3.for
for i in ${urls}
do
	ping -c1 ${i} &>/dev/null
	if [ $? -eq 0 ]
	then
		redstrongecho "${i} is yes"
	else
		greenstrongecho "${i} is no"
	fi
done
